curl --request POST \
--url https://api.unibee.dev/merchant/email/send_template_email_to_user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateName": "<string>",
"userId": 123,
"attachInvoiceId": "<string>",
"variables": {}
}
'{
"code": 123,
"data": {},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}curl --request POST \
--url https://api.unibee.dev/merchant/email/send_template_email_to_user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateName": "<string>",
"userId": 123,
"attachInvoiceId": "<string>",
"variables": {}
}
'{
"code": 123,
"data": {},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}https://api.unibee.dev/merchant/email/send_template_email_to_user
Send Template Email To User
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
| Name | Type | Required | Description |
|---|---|---|---|
attachInvoiceId | string | No | AttachInvoiceId |
templateName | string | Yes | The name of email template |
userId | integer | Yes | UserId |
variables | object | No | Variables,Map |
curl -X POST "https://api.unibee.dev/merchant/email/send_template_email_to_user" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"attachInvoiceId": "id_example",
"templateName": "",
"userId": 0,
"variables": {}
}'
curl -X POST "https://api-sandbox.unibee.top/merchant/email/send_template_email_to_user" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"attachInvoiceId": "id_example",
"templateName": "",
"userId": 0,
"variables": {}
}'
code, data, message, redirect, and requestId. code 0 indicates success. The response schema for this endpoint is shown below.
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.